Bug 89987 - [GTK] Enable MHTML support by default at build time
Summary: [GTK] Enable MHTML support by default at build time
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 89978
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 09:32 PDT by Mario Sanchez Prada
Modified: 2012-07-19 04:07 PDT (History)
2 users (show)

See Also:


Attachments
Patch proposal (1.92 KB, patch)
2012-06-26 09:38 PDT, Mario Sanchez Prada
no flags Details | Formatted Diff | Diff
Patch proposal enabling this feature in configure.ac (1.65 KB, patch)
2012-06-26 10:23 PDT, Mario Sanchez Prada
no flags Details | Formatted Diff | Diff
Patch proposal (3.46 KB, patch)
2012-06-27 01:16 PDT, Mario Sanchez Prada
cgarcia: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sanchez Prada 2012-06-26 09:32:58 PDT
It would be great to enable this by default in WebKitGTK once bug 89978 gets fixed, since MHTML is something we'll be interested in having in the new API for WebKit2GTK+ (see bug 89872 and bug 89873)
Comment 1 Mario Sanchez Prada 2012-06-26 09:38:21 PDT
Created attachment 149545 [details]
Patch proposal

Changed defaults for GTK in NWRT (I'm not updating ORWT, feel free to point out if you think it's needed)
Comment 2 Mario Sanchez Prada 2012-06-26 09:40:28 PDT
Forgot to add dependency
Comment 3 Martin Robinson 2012-06-26 09:41:37 PDT
Comment on attachment 149545 [details]
Patch proposal

Perhaps it makes sense to do this in configure.ac? Carlos, what do you think?
Comment 4 Mario Sanchez Prada 2012-06-26 10:23:43 PDT
Created attachment 149554 [details]
Patch proposal enabling this feature in configure.ac

(In reply to comment #3)
> (From update of attachment 149545 [details])
> Perhaps it makes sense to do this in configure.ac? Carlos, what do you think?

I'm providing another patch with this approach now, not marking the previous one as obsolete yetm in case it was preferred.

One doubt I have at this point is whether I need to do also the change in the perl file or not. Any hint?
Comment 5 Mario Sanchez Prada 2012-06-27 01:16:08 PDT
Created attachment 149701 [details]
Patch proposal

(In reply to comment #4)
> [..ยท]
> I'm providing another patch with this approach now, not marking the previous one as obsolete yetm in case it was preferred.
> 
> One doubt I have at this point is whether I need to do also the change in the perl file or not. Any hint?

I've double checked this and, indeed, we need to modify both configure.ac and Tools/Scripts/webkitperl/FeatureList.pm:

 - configure.ac: To enable MHTML by default when using ./configure && make
 - Tools/Scripts/webkitperl/FeatureList.pm: To enable MHTML by default when using the build-webkit script.

If I just modify configure.ac, build-webkit will override the default value with its own value.

To be more sure I checked how WebGL feature was enabled by default at build time and found two relevant commits:

 - SVN r101060: Enable WebGL by default (in configure.ac)
 - SVN r116310: WebGL feature is not built anymore through build-webkit after r116251 (in FeatureList.pm)

It seems changing configure.ac (at least for WebGL) used to be enough until r116251, when WebGL was introduced in FeatureList.pm. Makes sense, I think.

So, attaching a new single patch with the two changes in it.
Comment 6 Mario Sanchez Prada 2012-07-19 04:07:22 PDT
Committed r123089: <http://trac.webkit.org/changeset/123089>